Subject: Re: What's cooking in git.git (Apr 2021, #06; Thu, 29)

From: Junio C Hamano <[email-masked]>
Date: Sun, 02 May 2021 15:47:51 +0900

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>> * ab/test-lib-updates (2021-04-29) 11 commits
>>  - test-lib: split up and deprecate test_create_repo()
>>  - test-lib: do not show advice about init.defaultBranch under --verbose
>>  - test-lib: reformat argument list in test_create_repo()
>>  - submodule tests: use symbolic-ref --short to discover branch name
>>  - test-lib functions: add --printf option to test_commit
>>  - describe tests: convert setup to use test_commit
>>  - test-lib functions: add an --annotated option to "test_commit"
>>  - test-lib-functions: document test_commit --no-tag
>>  - test-lib-functions: reword "test_commit --append" docs
>>  - test-lib tests: remove dead GIT_TEST_FRAMEWORK_SELFTEST variable
>>  - test-lib: bring $remove_trash out of retirement
>>  (this branch is used by ab/describe-tests-fix and ab/pickaxe-pcre2.)
>>
>>  Test clean-up.
>>
>>  Waiting for an Ack before merging them to 'next'.
>
> Is the ack a reply to
> https://lore.kernel.org/git/[email-masked]/ (or here, I
> suppose)?. Sorry about the in-flight hassle.

No, what I meant was that v4 had review comments and v5 was done in
response to that, so I wanted to make sure that reviewers are happy
with the delta between v4 and v5 before taking v5 and declaring it
good just by myself.